JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OSCFormatError Struct Reference
juce_osc » osc

Exception type thrown when the OSC module fails to parse something because of a data format not compatible with the OpenSoundControl 1.0 specification. More...

`#include <juce_OSCTypes.h>`

Inheritance diagram for OSCFormatError:

## Public Member Functions
| OSCFormatError (const String &desc)
Public Member Functions inherited from OSCException
| OSCException (const String &desc)

## Additional Inherited Members
Public Attributes inherited from OSCException
String | description

## Detailed Description

Exception type thrown when the OSC module fails to parse something because of a data format not compatible with the OpenSoundControl 1.0 specification.

## Constructor & Destructor Documentation

## ◆ OSCFormatError()

OSCFormatError::OSCFormatError | ( | const String & | desc | ) |

The documentation for this struct was generated from the following file:

- juce_OSCTypes.h